/**
* SVG fill color utilities.
*
* naming convention: gl-fill-{color-palette-variable-name}
* notes:
* - Strictly based design system color palette. See variables.scss
* for a comprehensive list.
*/
@mixin gl-fill-current-color {
  fill: currentColor;
}

@mixin gl-fill-blue-500 {
  fill: $blue-500;
}

@mixin gl-stop-color-gray-50 {
  stop-color: $gray-50;
}

@mixin gl-stop-color-gray-100 {
  stop-color: $gray-100;
}

@mixin gl-stop-color-gray-200 {
  stop-color: $gray-200;
}

@mixin gl-stroke-gray-200 {
  stroke: $gray-200;
}

@mixin gl-stroke-blue-400 {
  stroke: $blue-400;
}

@mixin gl-stroke-trans {
  stroke: transparent;
}

@mixin gl-fill-gray-400 {
  fill: $gray-400;
}

@mixin gl-fill-gray-600 {
  fill: $gray-600;
}

@mixin gl-fill-gray-700 {
  fill: $gray-700;
}

@mixin gl-fill-green-500 {
  fill: $green-500;
}

@mixin gl-fill-green-700 {
  fill: $green-700;
}

@mixin gl-fill-transparent {
  fill: transparent;
}
